## pdf2htmlex 0.14.6+ds

=== CMakeLists.txt ===
# leave this above project(pdf2htmlEX)
# set default build type to Release
set(CMAKE_BUILD_TYPE Release CACHE STRING "Build configuration (Debug, Release, RelWithDebInfo, MinSizeRel)")

project(pdf2htmlEX)
cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

option(ENABLE_SVG "Enable SVG support, for generating SVG background images and converting Type 3 fonts" ON)

include_directories(${CMAKE_SOURCE_DIR}/src)

set(PDF2HTMLEX_VERSION "0.14.6")
set(ARCHIVE_NAME pdf2htmlex-${PDF2HTMLEX_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

find_package(PkgConfig)


pkg_check_modules(POPPLER REQUIRED poppler>=0.25.0)
include_directories(${POPPLER_INCLUDE_DIRS})
link_directories(${POPPLER_LIBRARY_DIRS})
set(PDF2HTMLEX_LIBS ${PDF2HTMLEX_LIBS} ${POPPLER_LIBRARIES})

if(ENABLE_SVG)
    pkg_check_modules(CAIRO REQUIRED cairo>=1.10.0)
    message("Trying to locate cairo-svg...")
    find_path(CAIRO_SVG_INCLUDE_PATH cairo-svg.h PATHS ${CAIRO_INCLUDE_DIRS} NO_DEFAULT_PATH)
    if(CAIRO_SVG_INCLUDE_PATH)
        include_directories(${CAIRO_INCLUDE_DIRS})
        link_directories(${CAIRO_LIBRARY_DIRS})
        set(PDF2HTMLEX_LIBS ${PDF2HTMLEX_LIBS} ${CAIRO_LIBRARIES})
        set(ENABLE_SVG 1)
        set(CAIROOUTPUTDEV_PATH 3rdparty/poppler/git)
        include_directories(${CAIROOUTPUTDEV_PATH})
        set(PDF2HTMLEX_SRC ${PDF2HTMLEX_SRC}
            ${CAIROOUTPUTDEV_PATH}/CairoFontEngine.h
            ${CAIROOUTPUTDEV_PATH}/CairoFontEngine.cc
            ${CAIROOUTPUTDEV_PATH}/CairoRescaleBox.h
            ${CAIROOUTPUTDEV_PATH}/CairoRescaleBox.cc
            ${CAIROOUTPUTDEV_PATH}/CairoOutputDev.h
            ${CAIROOUTPUTDEV_PATH}/CairoOutputDev.cc
        )
    else()
        message(FATAL_ERROR "Error: no SVG support found in Cairo")
    endif()

    find_package(Freetype REQUIRED)
    include_directories(${FREETYPE_INCLUDE_DIRS})
    link_directories(${FREETYPE_LIBRARY_DIRS})
    set(PDF2HTMLEX_LIBS ${PDF2HTMLEX_LIBS} ${FREETYPE_LIBRARIES})
endif()

# fontforge starts using pkg-config 'correctly' since 2.0.0
pkg_check_modules(FONTFORGE REQUIRED libfontforge>=2.0.0)
include_directories(${FONTFORGE_INCLUDE_DIRS})
link_directories(${FONTFORGE_LIBRARY_DIRS})
set(PDF2HTMLEX_LIBS ${PDF2HTMLEX_LIBS} ${FONTFORGE_LIBRARIES})

# debug build flags (overwrite default cmake debug flags)
set(CMAKE_C_FLAGS_DEBUG "-ggdb -pg")
set(CMAKE_CXX_FLAGS_DEBUG "-ggdb -pg")
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg")

# release build flags (overwrite default cmake release flags)
set(CMAKE_C_FLAGS_RELEASE "-O2 -DNDEBUG")
set(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")

# generic flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

# clang compiler need c++11 flag
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
endif()

# CYGWIN or GCC 4.5.x bug
if(CYGWIN)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++0x")
else()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
endif()

# check the C++11 features we need
include(CheckCXXSourceCompiles)
check_cxx_source_compiles("
#include <vector>
int main()
{
  char * ptr = nullptr;
  std::vector<int> v;
  auto f = [&](){ for(auto & i : v) ++i; };
  f();
}
" CXX0X_SUPPORT)
if(NOT CXX0X_SUPPORT)
    message(FATAL_ERROR "Error: your compiler does not support C++0x/C++11, please update it.")
endif()


configure_file (${CMAKE_SOURCE_DIR}/src/pdf2htmlEX-config.h.in ${CMAKE_SOURCE_DIR}/src/pdf2htmlEX-config.h)
configure_file (${CMAKE_SOURCE_DIR}/pdf2htmlEX.1.in ${CMAKE_SOURCE_DIR}/pdf2htmlEX.1)

include(${CMAKE_SOURCE_DIR}/src/css_class_names.cmakelists.txt)
configure_file (${CMAKE_SOURCE_DIR}/src/util/css_const.h.in ${CMAKE_SOURCE_DIR}/src/util/css_const.h)
configure_file (${CMAKE_SOURCE_DIR}/share/base.css.in ${CMAKE_SOURCE_DIR}/share/base.css)
configure_file (${CMAKE_SOURCE_DIR}/share/fancy.css.in ${CMAKE_SOURCE_DIR}/share/fancy.css)
configure_file (${CMAKE_SOURCE_DIR}/share/pdf2htmlEX.js.in ${CMAKE_SOURCE_DIR}/share/pdf2htmlEX.js)

set(PDF2HTMLEX_SRC ${PDF2HTMLEX_SRC}
    src/Param.h
    src/pdf2htmlEX.cc
    src/pdf2htmlEX-config.h
    src/HTMLRenderer/HTMLRenderer.h
    src/HTMLRenderer/draw.cc
    src/HTMLRenderer/general.cc
    src/HTMLRenderer/image.cc
    src/HTMLRenderer/font.cc
    src/HTMLRenderer/form.cc
    src/HTMLRenderer/link.cc
    src/HTMLRenderer/outline.cc
    src/HTMLRenderer/state.cc
    src/HTMLRenderer/text.cc
    src/BackgroundRenderer/BackgroundRenderer.h
    src/BackgroundRenderer/BackgroundRenderer.cc
    src/BackgroundRenderer/SplashBackgroundRenderer.h
    src/BackgroundRenderer/SplashBackgroundRenderer.cc
    src/BackgroundRenderer/CairoBackgroundRenderer.h
    src/BackgroundRenderer/CairoBackgroundRenderer.cc
    src/util/const.h
    src/util/const.cc
    src/util/css_const.h
    src/util/encoding.h
    src/util/encoding.cc
    src/util/ffw.h
    src/util/ffw.c
    src/util/math.h
    src/util/math.cc
    src/util/misc.h
    src/util/misc.cc
    src/util/namespace.h
    src/util/path.h
    src/util/path.cc
    src/util/unicode.h
    src/util/unicode.cc
    src/util/mingw.h
    src/util/mingw.cc
    src/ArgParser.h
    src/ArgParser.cc
    src/Base64Stream.h
    src/Base64Stream.cc
    src/Color.h
    src/Color.cc
    src/CoveredTextDetector.h
    src/CoveredTextDetector.cc
    src/DrawingTracer.h
    src/DrawingTracer.cc
    src/HTMLState.h
    src/HTMLTextLine.h
    src/HTMLTextLine.cc
    src/HTMLTextPage.h
    src/HTMLTextPage.cc
    src/Preprocessor.h
    src/Preprocessor.cc
    src/StringFormatter.h
    src/StringFormatter.cc
    src/TmpFiles.h
    src/TmpFiles.cc
    )

add_executable(pdf2htmlEX ${PDF2HTMLEX_SRC})
target_link_libraries(pdf2htmlEX ${PDF2HTMLEX_LIBS})

add_custom_target(pdf2htmlEX_resources ALL DEPENDS
    ${CMAKE_SOURCE_DIR}/share/base.min.css
    ${CMAKE_SOURCE_DIR}/share/fancy.min.css
    ${CMAKE_SOURCE_DIR}/share/pdf2htmlEX.min.js
    )

add_custom_command(OUTPUT ${CMAKE_SOURCE_DIR}/share/pdf2htmlEX.min.js
    COMMAND ${CMAKE_SOURCE_DIR}/share/build_js.sh
    DEPENDS
        ${CMAKE_SOURCE_DIR}/share/build_js.sh
        ${CMAKE_SOURCE_DIR}/share/pdf2htmlEX.js
    )

add_custom_command(OUTPUT
        ${CMAKE_SOURCE_DIR}/share/base.min.css
        ${CMAKE_SOURCE_DIR}/share/fancy.min.css
    COMMAND ${CMAKE_SOURCE_DIR}/share/build_css.sh
    DEPENDS
        ${CMAKE_SOURCE_DIR}/share/build_css.sh
        ${CMAKE_SOURCE_DIR}/share/base.css
        ${CMAKE_SOURCE_DIR}/share/fancy.css
    )

install (TARGETS pdf2htmlEX DESTINATION bin)

set(PDF2HTMLEX_RESOURCE
    ${CMAKE_SOURCE_DIR}/3rdparty/PDF.js/compatibility.js
    ${CMAKE_SOURCE_DIR}/3rdparty/PDF.js/compatibility.min.js
    ${CMAKE_SOURCE_DIR}/share/base.css
    ${CMAKE_SOURCE_DIR}/share/base.min.css
    ${CMAKE_SOURCE_DIR}/share/fancy.css
    ${CMAKE_SOURCE_DIR}/share/fancy.min.css
    ${CMAKE_SOURCE_DIR}/share/LICENSE
    ${CMAKE_SOURCE_DIR}/share/manifest
    ${CMAKE_SOURCE_DIR}/share/pdf2htmlEX.js
    ${CMAKE_SOURCE_DIR}/share/pdf2htmlEX.min.js
    ${CMAKE_SOURCE_DIR}/share/pdf2htmlEX-64x64.png
    )
install (FILES ${PDF2HTMLEX_RESOURCE} DESTINATION share/pdf2htmlEX)
install (FILES pdf2htmlEX.1 DESTINATION share/man/man1)

enable_testing()
add_test(test python ${CMAKE_SOURCE_DIR}/test/test.py)

## pdf2htmlex 0.12+ds

=== debian/changelog ===
pdf2htmlex (0.12+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #754460)

 -- Johannes Schauer <j.schauer@email.de>  Tue, 05 Aug 2014 01:34:54 +0200

=== debian/control ===
Source: pdf2htmlex
Section: text
Priority: optional
Maintainer: Johannes Schauer <j.schauer@email.de>
Build-Depends:
 cmake (>= 2.6.0),
 pkg-config,
 debhelper (>= 9),
 libpoppler-dev (>= 0.20.3),
 libpoppler-private-dev,
 libpng12-dev,
 libjpeg-dev,
 libfontforge-dev,
 libspiro-dev,
 python,
 yui-compressor,
 libjs-pdf,
 pngnq,
 librsvg2-bin,
 closure-compiler
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://github.com/coolwanglu/pdf2htmlEX

Package: pdf2htmlex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-pdf
Suggests: ttfautohint
Description: Converts PDF to HTML while retaining most formatting
 pdf2htmlEX converts PDF to HTML while retaining text, format and style as much
 as possible by making use of HTML5, JavaScript and modern CSS features.
 Even difficult content like PDFs with embedded fonts, multicolumn documents,
 scientific papers with complicated figures and mathematical formulas will
 mostly be represented correctly. Fallback mode generates HTML pages which
 do not require any JavaScript to view them correctly at the expense of a
 larger file size.

=== debian/rules ===
#!/usr/bin/make -f

# we set $HOME to a non-existing directory because the testsuite runs
# pdf2htmlEX which creates ~/.FontForge/ and we do not want to clutter
# the users home directory during a build
export HOME=$(CURDIR)/nonexistent

%:
	dh $@

# using ENABLE_SVG requires CairoFontEngine, CairoRescaleBox and
# CairoOutputDev from poppler sources
#override_dh_auto_configure:
#	dh_auto_configure -- -DENABLE_SVG=ON

override_dh_auto_build:
	dh_auto_build
	cd logo && ./update_png.sh

override_dh_auto_test:
	ln -s /usr/share/javascript/pdf/compatibility.js share/compatibility.js
	dh_auto_test

override_dh_auto_install:
	dh_auto_install
	ln -s /usr/share/javascript/pdf/compatibility.js debian/pdf2htmlex/usr/share/pdf2htmlEX/compatibility.js

=== debian/tests/control ===
Tests: test-naming
Restrictions: allow-stderr
Depends: pdf2htmlex, python

=== debian/watch ===
version=3
opts="uversionmangle=s/$/\+ds/" \
 https://github.com/coolwanglu/pdf2htmlEX/releases .*/v(\d[\d\.]*)\.tar\.gz

## pdf2htmlex 0.14.6+ds

=== debian/changelog ===
pdf2htmlex (0.14.6+ds-3) unstable; urgency=medium

  * bump debhelper compat level to 10 (closes: #823262)
  * drop patch allow-old-libfontforge after upload of libfontforge-dev
    1:20161005~dfsg-4 to unstable and bump build dependency accordingly
  * use Build-Depends-Arch to reduce the number of needed installed packages
    to just run the clean target
  * export DEB_BUILD_MAINT_OPTIONS=hardening=+all in d/rules to fix
    hardening-no-bindnow lintian warning
  * add Vcs-Browser and Vcs-Git as package is now maintained using dgit
  * bump Standards-Version to 3.9.8 (no changes required)

 -- Johannes Schauer <josch@debian.org>  Tue, 15 Nov 2016 08:56:13 +0100

pdf2htmlex (0.14.6+ds-2) unstable; urgency=medium

  * Team upload, with Josch permission.
  * Update build-dependency libpng12-dev to libpng-dev
    to ease libpng transition (Closes: #810197) 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jan 2016 16:01:02 +0100

pdf2htmlex (0.14.6+ds-1) unstable; urgency=medium

  * New upstream release
  * refreshed all patches
  * d/control: replace XS-Testsuite header with Testsuite

 -- Johannes Schauer <josch@debian.org>  Mon, 27 Jul 2015 16:07:02 +0200

pdf2htmlex (0.13.6+ds-2) unstable; urgency=medium

  * use /usr/share/pdf.js/compatibility.js as target of
    /usr/share/pdf2htmlEX/compatibility.js symling and depend on pdf.js-common
    (>= 1.0.1149) directly (Closes: #780170)

 -- Johannes Schauer <josch@debian.org>  Wed, 13 May 2015 18:30:36 +0200

pdf2htmlex (0.13.6+ds-1) unstable; urgency=medium

  * New upstream release
  * change my email in Maintainer field to josch@debian.org
  * bump Standards-Version to 3.9.6
  * refreshed patches
  * remove control-test-executable-name which makes the autopkg testsuite
    non-functional - must be fixed later
  * configure with -DENABLE_SVG=OFF because SVG support requires embedded
    code copy of poppler which we removed from the upstream tarball
  * rework patch control-test-executable-name to work with changed test suite
  * add patch disable-local-browser-test because it needs non-free package
    python-selenium
  * add patch test-without-datadir to control the share directory during tests
  * d/rules: add override for clean target to remove pyc files from test
    directory
  * d/copyright: share/fancy.css got renamed to share/fancy.css.in
  * d/watch use dversionmangle and repacksuffix instead of uversionmangle

 -- Johannes Schauer <josch@debian.org>  Thu, 30 Apr 2015 08:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,33 @@
 Source: pdf2htmlex
 Section: text
 Priority: optional
-Maintainer: Johannes Schauer <j.schauer@email.de>
+Maintainer: Johannes Schauer <josch@debian.org>
 Build-Depends:
+ debhelper (>= 10)
+Build-Depends-Arch:
  cmake (>= 2.6.0),
  pkg-config,
- debhelper (>= 9),
  libpoppler-dev (>= 0.20.3),
  libpoppler-private-dev,
- libpng12-dev,
+ libpng-dev,
  libjpeg-dev,
- libfontforge-dev,
+ libfontforge-dev (>= 1:20161005~dfsg-4),
  libspiro-dev,
  python,
  yui-compressor,
- libjs-pdf,
+ pdf.js-common (>= 1.0.1149),
  pngnq,
  librsvg2-bin,
  closure-compiler
-Standards-Version: 3.9.5
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.8
+Testsuite: autopkgtest
 Homepage: http://github.com/coolwanglu/pdf2htmlEX
+Vcs-Browser: https://browse.dgit.debian.org/pdf2htmlex.git/
+Vcs-Git: https://git.dgit.debian.org/pdf2htmlex
 
 Package: pdf2htmlex
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-pdf
+Depends: ${shlibs:Depends}, ${misc:Depends}, pdf.js-common (>= 1.0.1149)
 Suggests: ttfautohint
 Description: Converts PDF to HTML while retaining most formatting
  pdf2htmlEX converts PDF to HTML while retaining text, format and style as much

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# we set $HOME to a non-existing directory because the testsuite runs
# pdf2htmlEX which creates ~/.FontForge/ and we do not want to clutter
# the users home directory during a build
export HOME=$(CURDIR)/nonexistent

# dh build path from /usr/share/perl5/Debian/Debhelper/Buildsystem.pm
# function DEFAULT_BUILD_DIRECTORY
export PDF2HTMLEX_EXECUTABLE=$(shell pwd)/obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)/pdf2htmlEX

%:
	dh $@

# using ENABLE_SVG requires CairoFontEngine, CairoRescaleBox and
# CairoOutputDev from poppler sources
override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_SVG=OFF

override_dh_auto_build:
	dh_auto_build
	cd logo && ./update_png.sh

override_dh_auto_test:
	ln -s /usr/share/javascript/pdf/compatibility.js share/compatibility.js
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -f test/test.pyc test/test_local_browser.pyc test/test_output.pyc

=== debian/tests/control ===
Tests: test
Restrictions: allow-stderr
Depends: pdf2htmlex, python
